Module ij
Package ij.plugin

# Class GaussianBlur3D

java.lang.Object
ij.plugin.GaussianBlur3D

All Implemented Interfaces:
  `PlugIn`

public class GaussianBlur3D extends Object implements PlugIn

## Constructor Summary

Constructors
Constructor
Description
`GaussianBlur3D()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`blur(ImagePlus imp, double sigmaX, double sigmaY, double sigmaZ)`
`void`
`run(String arg)`
This method is called when the plugin is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GaussianBlur3D

public GaussianBlur3D()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### blur

public static void blur(ImagePlus imp, double sigmaX, double sigmaY, double sigmaZ)